Bug 862403 - [US2105][fork]Adding phpMoAdmin to an application with php and mongodb fails
[US2105][fork]Adding phpMoAdmin to an application with php and mongodb fails
Status: CLOSED WONTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 15:18 EDT by Chandrika Gole
Modified: 2015-05-14 19:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-04 11:59:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrika Gole 2012-10-02 15:18:33 EDT
Description of problem:
Adding phpMoAdmin  to an application with php and mongodb fails

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a php app
2. Add mongodb to it
3. Add phpmoadmin. 
  
Actual results:
phpmoadmin does get added. It fails with this msg -
MongoDB must be embedded before phpMoAdmin



Expected results:
phpmoadmin should get added to the app

Additional info:


Chandrikas-MacBook-Pro:django1 chandrikagole$ rhc-ctl-app -a app2 -e add-mongodb-2.2
Password: 


RESULT:

MongoDB 2.2 database added.  Please make note of these credentials:

       Root User: admin
   Root Password: B8frUM56by4m
   Database Name: app2

Connection URL: mongodb://127.0.251.1:27017/

You can manage your new MongoDB by also embedding rockmongo-1.1

Chandrikas-MacBook-Pro:django1 chandrikagole$ rhc-ctl-app -a app1 -e add-phpmoadmin-1.0

Password: 

Problem reported from server. Response code was 500.
Re-run with -d for more information.

RESULT:

MongoDB must be embedded before phpMoAdmin
Comment 1 John (J5) Palmieri 2012-10-04 10:31:17 EDT
We only report what the server sends.  We don't do any conflict checking.  reassigning.
Comment 2 Paul Morie 2012-10-04 11:59:37 EDT
We do not support phpmoadmin in production.  The user should try embedding rockmongo-1.1.

Note You need to log in before you can comment on or make changes to this bug.